[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventType

Type of event

## Declaration

Source position: eventlog.pp line 26

`type TEventType = (`
`etCustom,` |  | Custom event type.
`etInfo,` |  | Informational event
`etWarning,` |  | Warning event
`etError,` |  | Error event
`etDebug` |  | Debug event
`);`

## Description

TEventType determines the type of event. Depending on the system logger, the log event may end up in different places, or may be displayed in a different manner. A suitable mapping is shown for each system. In the case of Windows, the formatting of the message is done differently, and a different icon is shown for each type of message.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.